/********************************
 * compte le nombre de point en fonction de la distance au centre
 *
 * entrée : 
 *    rho : distance au centre
 *
 * sortie :
 *    nombre de point
 *******************************/
int nbPoints(float rho) {
  if (rho > 10)
    return 0;
  else
    if (rho > 5)
      return 3;
    else
      if (rho > 2)
        return 5;
      else 
        if (rho > 1)
          return 10;
        else
          return 20;
}

/********************************
 * lancer de n flechettes
 *
 * entrée : 
 *    n :  entier, nombre de lancer
 *
 * sortie :
 *    nombre points sur n lancers
 *******************************/
int lancer(int n, float r) {
  int pts = 0;

  float rho, theta ;

  for(int i = 0; i < n; i++) {
    rho   = random(10);
    theta = random(-3.14159265358, 3.14159265358);
    
    point(width / 2 + r / 10 * rho * cos(theta), height / 2 + r / 10 * rho * sin(theta));
    
    pts += nbPoints(rho);
  }  
  
  return pts;
}

void setup() {
  size(200, 200);
  background(0);

  int r = 100;  
  fill(180, 0, 0); 
  ellipse(width / 2, height / 2, 2 * r, 2 * r);

  stroke(255);
  strokeWeight(5);
  println(lancer(5, r));
}
